> ## Documentation Index
> Fetch the complete documentation index at: https://developers.bonifiq.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1pvtorder



## OpenAPI

````yaml https://api.bonifiq.com.br/swagger/Private%20APIs/swagger.json get /v1/pvt/Order/{orderId}
openapi: 3.0.0
info:
  title: BonifiQ Private APIs
  description: >-
    # Introduction 

    This is the BonifiQ Private APIs documentation. With these endpoints you can
    interact with BonifiQ systems and enhance your program points.


    # Limitations

    These endpoints are intended to be used in backend communication so they are
    not CORS-compatible and cannot be used by in-browser frontend libraries
    (such as React, Angular, Vue, jQuery, etc)


    If are required to call BonifiQ API from a browser, please refer to our
    [Public APIs](https://api.bonifiq.com.br/apidocs/public)


    # Authentication

    These Private APis use the [Basic
    Authentication](https://en.wikipedia.org/wiki/Basic_access_authentication)
    scheme. You need both an API Token (Username) and API Key (Password) to use
    with it


    You can generate this key pair in BonifiQ admin panel, at the "API Keys"
    menu.


    # How to use this page

    ## Making calls

    You can simulate, test and make calls to API from this Swagger page. To do
    that:

    - Click on the **Authorize** button

    - Inform the Username (API Token) and Passwoird (API Key) and click on
    **Authorize**

    - From the list bellow, choose an API call and click on **Try it out**

    - Inform the required parameters (if any) and click on **Execute**


    ## Verifying requests and responses bodies

    In every API Call there is an explanation of what each field means, theirs
    types and accepted values for all Requests and Responses.


    To view this information, just go to any API Call bellow and in the
    Responses section, click on the Schema.
  version: 1.0.0
servers:
  - url: https://api.bonifiq.com.br
security: []
tags:
  - name: POS
    description: >-
      Flow methods to integrate BonifiQ with a POS system. Check the Flow
      Documentation link on the right
    externalDocs:
      description: Flow Documentation
      url: >-
        https://suporte.bonifiq.com.br/support/solutions/articles/159000319538-integrar-com-pdv
  - name: Checkout
    description: Operations related to checkout cashback redeem, refresh and removal
  - name: Customization
    description: Retrieve customizations for the loyalty program
  - name: Rewards
    description: Interact with rewards already redeemed
paths:
  /v1/pvt/Order/{orderId}:
    get:
      tags:
        - Order
      operationId: Order_Get
      parameters:
        - name: orderId
          in: path
          required: true
          schema:
            type: string
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderGetResponse'
      security:
        - Basic Authentication: []
components:
  schemas:
    OrderGetResponse:
      allOf:
        - $ref: '#/components/schemas/OrderCreateResponse'
        - type: object
          additionalProperties: false
          properties:
            RedeemedReward:
              description: Reward used in this order (if any)
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/CustomerRedeemedHistoryItem'
    OrderCreateResponse:
      allOf:
        - $ref: '#/components/schemas/BaseOriginalIdApiEntity'
        - type: object
          additionalProperties: false
          properties:
            OrderPlacementDate:
              type: string
              description: 'Date of the customer''s purchase. '
              format: date-time
            OrderCompletedDate:
              type: string
              description: >-
                Date the order reached the completed state (usually it's
                invoiced or delivered).
              format: date-time
              nullable: true
            OrderCancelledDate:
              type: string
              description: if the order is cancelled, contains the date.
              format: date-time
              nullable: true
            OrderStatus:
              type: string
              description: Status at the client's order system.
            IsCancelledOrReturned:
              type: boolean
              description: if true the order was cancelled or returned.
            IsCompleted:
              type: boolean
              description: >-
                If true it means the order has reached its final status and
                points can be awarded to the consumer.
            OrderTotal:
              type: number
              description: >-
                Can be used at Loyalty Programs. Important: these values should
                not include Shipping costs.
              format: decimal
            Customer:
              description: Buyer registration.
              oneOf:
                - $ref: '#/components/schemas/ApiCustomer'
            Products:
              type: array
              description: Products listed on the order.
              nullable: true
              xml:
                wrapped: true
              items:
                xml:
                  name: CreateProductResponse
                oneOf:
                  - $ref: '#/components/schemas/CreateProductResponse'
            UpdatedDate:
              type: string
              description: the date from the last update on this order.
              format: date-time
            Coupon:
              type: string
              description: Coupon code used on this order.
              nullable: true
            State:
              description: >-
                Order State: 0=Inicial, 1= Pendente, 2=Completo, 3=Cancelado,
                4=Ignorado
              oneOf:
                - $ref: '#/components/schemas/OrderState'
            Origin:
              description: |-
                How this order was integrated into BonifiQ
                0 = Order Integration with ecommerce platform
                1 = External API
                2 = File import
              oneOf:
                - $ref: '#/components/schemas/OrderOrigin'
            Metadatas:
              type: array
              nullable: true
              xml:
                wrapped: true
              items:
                xml:
                  name: ApiOrderMetadata
                oneOf:
                  - $ref: '#/components/schemas/ApiOrderMetadata'
    CustomerRedeemedHistoryItem:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: integer
          description: Unique ID for this redeem
          format: int32
        ExternalCode:
          type: string
          description: >-
            Unique external code for this redeem. Could be used for integrating
            with third-party systems
        CashValue:
          type: number
          description: >-
            If it is a Cashback or Value rewards represents the amount in cash
            (R$) given for the customer
          format: decimal
          nullable: true
        IsCanceled:
          type: boolean
          description: >-
            If true means this reward was cancelled and the points was given
            back to the customer
        RedeemDate:
          type: string
          description: Date the reward was redeemed
          format: date-time
        Points:
          description: Points record regenerated upon redeeming process
          oneOf:
            - $ref: '#/components/schemas/RewardRedeemedReponsePoints'
        Coupon:
          description: 'The coupon recording that was generated for the customer '
          oneOf:
            - $ref: '#/components/schemas/CreateCouponResponse'
    BaseOriginalIdApiEntity:
      allOf:
        - $ref: '#/components/schemas/BaseApiEntity'
        - type: object
          description: >-
            This class represents a request with an external Id (such as
            OrderId) in a third-party system
          x-abstract: true
          additionalProperties: false
          properties:
            OriginalId:
              type: string
              description: 'This is the Id in the third party system. '
    ApiCustomer:
      allOf:
        - $ref: '#/components/schemas/BaseOriginalIdApiEntity'
        - type: object
          additionalProperties: false
          properties:
            Name:
              type: string
            Email:
              type: string
            Phone:
              type: string
            BirthdayDate:
              type: string
              format: date-time
              nullable: true
            SignupDate:
              type: string
              format: date-time
            Document:
              type: string
            IsEnrolled:
              type: boolean
            PointsBalance:
              type: integer
              format: int32
            BalanceOfPoints:
              type: integer
              format: int32
            Cashback:
              type: number
              format: decimal
              nullable: true
            BirthdayUpdateDate:
              type: string
              format: date-time
              nullable: true
            FirstName:
              type: string
            PublicId:
              type: string
              format: guid
              nullable: true
            SecondaryId:
              type: string
              nullable: true
            OrderCount:
              type: integer
              format: int32
              nullable: true
            ReasonEnrolled:
              type: string
              nullable: true
            AdminId:
              type: integer
              format: int32
              nullable: true
            EmailAdmin:
              type: string
              nullable: true
            EnrolledDate:
              type: string
              format: date-time
              nullable: true
            TierName:
              type: string
            Origin:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/CustomerOrigin'
            RfmGroup:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/MatrizRFMItem'
            RfmGroupName:
              type: string
              nullable: true
            Affiliate:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/ApiAffiliate'
            AffiliateCode:
              type: string
              nullable: true
            AffiliateCodeAssignedAt:
              type: string
              format: date-time
              nullable: true
    CreateProductResponse:
      type: object
      description: Create Product Response model
      additionalProperties: false
      properties:
        OriginalId:
          type: string
          description: Id from the client store
        Title:
          type: string
          description: Product Title/Name
        Url:
          type: string
          description: Url from the client store from the product.
          nullable: true
        ImageUrl:
          type: string
          description: Url from where the Product image is hosted.
          nullable: true
        IsActive:
          type: boolean
          description: If true the product is active.
        ProductPrice:
          type: number
          format: decimal
          nullable: true
    OrderState:
      type: integer
      description: |-
        0 = Initial
        1 = Pending
        2 = Completed
        3 = Cancelled
        4 = Ignored
      x-enumNames:
        - Initial
        - Pending
        - Completed
        - Cancelled
        - Ignored
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
    OrderOrigin:
      type: integer
      description: |-
        0 = Integration
        1 = API
        2 = Import
        3 = PDV
        4 = OfflineIntegration
      x-enumNames:
        - Integration
        - API
        - Import
        - PDV
        - OfflineIntegration
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
    ApiOrderMetadata:
      allOf:
        - $ref: '#/components/schemas/BaseApiEntity'
        - type: object
          additionalProperties: false
          properties:
            OrderId:
              type: integer
              format: int32
            Name:
              type: string
            Value:
              type: string
    RewardRedeemedReponsePoints:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: integer
          description: Unique ID of the generated point
          format: int32
        Points:
          type: integer
          description: How many points was used
          format: int32
        Type:
          description: 'Type of the point. Could be any of:'
          oneOf:
            - $ref: '#/components/schemas/PointType'
        EventKey:
          type: string
          description: Unique key for this record. Used to preventing duplication
    CreateCouponResponse:
      type: object
      description: 'Create Coupon Response Model '
      additionalProperties: false
      properties:
        CouponCode:
          type: string
          description: Coupon Code
        CreatedDate:
          type: string
          description: 'Create Date '
          format: date-time
        IsUsed:
          type: boolean
          description: if true the coupon was already bein use or inactivated.
          nullable: true
        CouponValue:
          type: number
          description: Discount value for the coupon
          format: decimal
        CustomerId:
          type: integer
          description: the customer that the coupon is being given.
          format: int32
        ValidDateStart:
          type: string
          description: Date the coupon is start to being enable for rewards
          format: date-time
          nullable: true
        ValidDateEnd:
          type: string
          description: Date the coupon will not be able for rewards anymore.
          format: date-time
          nullable: true
        CouponType:
          description: >-
            What type of coupons is this.

            0: Cash value Coupon (such as R$10,00). 1: Percent discount (such as
            10%). 4: Imported Coupoun
          oneOf:
            - $ref: '#/components/schemas/CouponType'
    BaseApiEntity:
      type: object
      x-abstract: true
      additionalProperties: false
      properties:
        Id:
          type: integer
          format: int32
    CustomerOrigin:
      type: integer
      description: |-
        0 = Platform
        1 = PDV
        2 = API
        3 = OfflinePlatform
        4 = Admin
        5 = Affiliate
      x-enumNames:
        - Platform
        - PDV
        - API
        - OfflinePlatform
        - Admin
        - Affiliate
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
    MatrizRFMItem:
      type: integer
      description: |-
        0 = CantMiss
        1 = ConstantBuyers
        2 = Vips
        3 = AtRisk
        4 = NeedAttention
        5 = Promising
        6 = Disconnected
        7 = Hibernating
        8 = Sleepy
        9 = OnTheRise
        10 = NewCustomers
      x-enumNames:
        - CantMiss
        - ConstantBuyers
        - Vips
        - AtRisk
        - NeedAttention
        - Promising
        - Disconnected
        - Hibernating
        - Sleepy
        - OnTheRise
        - NewCustomers
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
    ApiAffiliate:
      allOf:
        - $ref: '#/components/schemas/BaseApiEntity'
        - type: object
          additionalProperties: false
          properties:
            CustomerId:
              type: integer
              format: int32
            IsActive:
              type: boolean
            AffiliateCoupon:
              type: string
              nullable: true
            LastUpdated:
              type: string
              format: date-time
              nullable: true
            CouponHistories:
              type: array
              xml:
                wrapped: true
              items:
                xml:
                  name: ApiAffiliateCouponHistory
                oneOf:
                  - $ref: '#/components/schemas/ApiAffiliateCouponHistory'
    PointType:
      type: integer
      description: |-
        0 = Purchase
        1 = Signup
        2 = Birthday
        3 = Ordinary
        4 = Reward
        5 = Review
        6 = Refund
        7 = Expire
        8 = Referral
        9 = SocialMediaFollowFacebook
        10 = SocialMediaFollowInstagram
        11 = PartialOrderRefund
        12 = Quiz
        13 = CustomObjective
        14 = ReferralAffiliate
        15 = SocialMediaFollowLinkedin
        16 = SocialMediaFollowTikTok
        17 = Campaign
        18 = Participation
        19 = Fitness
      x-enumNames:
        - Purchase
        - Signup
        - Birthday
        - Ordinary
        - Reward
        - Review
        - Refund
        - Expire
        - Referral
        - SocialMediaFollowFacebook
        - SocialMediaFollowInstagram
        - PartialOrderRefund
        - Quiz
        - CustomObjective
        - ReferralAffiliate
        - SocialMediaFollowLinkedin
        - SocialMediaFollowTikTok
        - Campaign
        - Participation
        - Fitness
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
        - 18
        - 19
    CouponType:
      type: integer
      description: |-
        0 = FixedValue
        1 = Percent
        2 = FreeShipping
        3 = DiscountShipping
        4 = Others
      x-enumNames:
        - FixedValue
        - Percent
        - FreeShipping
        - DiscountShipping
        - Others
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
    ApiAffiliateCouponHistory:
      allOf:
        - $ref: '#/components/schemas/BaseApiEntity'
        - type: object
          additionalProperties: false
          properties:
            AffiliateId:
              type: integer
              format: int32
            Coupon:
              type: string
            AssociatedDate:
              type: string
              format: date-time
  securitySchemes:
    Basic Authentication:
      type: http
      description: Use API Basic Auth Keys
      name: Basic Authentication
      in: header
      scheme: basic

````